Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.typedef
Interface TypedefPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

    public interface TypedefPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Questo package contiene le metaclassi necessarie per modellare i tipi (di base e definiti da utente) utilizzati nelle interfacce dei servizi.

See Also:
  `TypedefFactory`

Nested Class Summary
`static interface` | `TypedefPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `CSI_DATATYPE` The meta object id for the '`CSI Datatype`' class
`static int` | `CSI_DATATYPE__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
`static int` | `CSI_DATATYPE__CODE` The feature id for the 'Code' attribute
`static int` | `CSI_DATATYPE__NAME` The feature id for the 'Name' attribute
`static int` | `CSI_DATATYPE__NILLABLE` The feature id for the 'Nillable' attribute
`static int` | `CSI_DATATYPE_CODES` The meta object id for the '`CSI Datatype Codes`' enum
`static int` | `CSI_DATATYPE_FEATURE_COUNT` The number of structural features of the 'CSI Datatype' class
`static int` | `CSI_EXCEPTION_TYPES` The meta object id for the '`CSI Exception Types`' enum
`static int` | `DOCUMENT_ROOT` The meta object id for the '`Document Root`' class
`static int` | `DOCUMENT_ROOT__TYPES` The feature id for the 'Types' containment reference list
`static int` | `DOCUMENT_ROOT_FEATURE_COUNT` The number of structural features of the 'Document Root' class
`static TypedefPackage` | `eINSTANCE` The singleton instance of the package
`static java.lang.String` | `eNAME` The package name
`static java.lang.String` | `eNS_PREFIX` The package namespace name
`static java.lang.String` | `eNS_URI` The package namespace URI
`static int` | `ENTITY` The meta object id for the '`Entity`' class
`static int` | `ENTITY__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
`static int` | `ENTITY__FEATURES` The feature id for the 'Features' containment reference list
`static int` | `ENTITY__NAME` The feature id for the 'Name' attribute
`static int` | `ENTITY__VERSIONUID` The feature id for the 'Versionuid' attribute
`static int` | `ENTITY_FEATURE_COUNT` The number of structural features of the 'Entity' class
`static int` | `EXCEPTION` The meta object id for the '`Exception`' class
`static int` | `EXCEPTION__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
`static int` | `EXCEPTION__EXCEPTION_TYPE` The feature id for the 'Exception Type' attribute
`static int` | `EXCEPTION__NAME` The feature id for the 'Name' attribute
`static int` | `EXCEPTION_FEATURE_COUNT` The number of structural features of the 'Exception' class
`static int` | `FEATURE` The meta object id for the '`Feature`' class
`static int` | `FEATURE__NAME` The feature id for the 'Name' attribute
`static int` | `FEATURE__TYPE` The feature id for the 'Type' reference
`static int` | `FEATURE_FEATURE_COUNT` The number of structural features of the 'Feature' class
`static int` | `PRIMITIVE_TYPE` The meta object id for the '`Primitive Type`' class
`static int` | `PRIMITIVE_TYPE__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
`static int` | `PRIMITIVE_TYPE__LANGUAGE_BINDINGS` The feature id for the 'Language Bindings' containment reference list
`static int` | `PRIMITIVE_TYPE__NAME` The feature id for the 'Name' attribute
`static int` | `PRIMITIVE_TYPE__NILLABLE` The feature id for the 'Nillable' attribute
`static int` | `PRIMITIVE_TYPE__TYPESET_NAME` The feature id for the 'Typeset Name' attribute
`static int` | `PRIMITIVE_TYPE_FEATURE_COUNT` The number of structural features of the 'Primitive Type' class
`static int` | `TD_ANNOTATION_DETAIL` The meta object id for the '`TD Annotation Detail`' class
`static int` | `TD_ANNOTATION_DETAIL__KEY` The feature id for the 'Key' attribute
`static int` | `TD_ANNOTATION_DETAIL__VALUE` The feature id for the 'Value' attribute
`static int` | `TD_ANNOTATION_DETAIL_FEATURE_COUNT` The number of structural features of the 'TD Annotation Detail' class
`static int` | `TYPE` The meta object id for the '`Type`' class
`static int` | `TYPE__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
`static int` | `TYPE__NAME` The feature id for the 'Name' attribute
`static int` | `TYPE_ANNOTATION` The meta object id for the '`Type Annotation`' class
`static int` | `TYPE_ANNOTATION__DETAILS` The feature id for the 'Details' containment reference list
`static int` | `TYPE_ANNOTATION__SOURCE` The feature id for the 'Source' attribute
`static int` | `TYPE_ANNOTATION_FEATURE_COUNT` The number of structural features of the 'Type Annotation' class
`static int` | `TYPE_FEATURE_COUNT` The number of structural features of the 'Type' class
`static int` | `TYPE_LANGUAGE_BINDING` The meta object id for the '`Type Language Binding`' class
`static int` | `TYPE_LANGUAGE_BINDING__DEFAULT_INIT_VALUE` The feature id for the 'Default Init Value' attribute
`static int` | `TYPE_LANGUAGE_BINDING__LANG` The feature id for the 'Lang' attribute
`static int` | `TYPE_LANGUAGE_BINDING__LANG_SPECIFIC_NS` The feature id for the 'Lang Specific NS' attribute
`static int` | `TYPE_LANGUAGE_BINDING__LANG_SPECIFIC_TYPE` The feature id for the 'Lang Specific Type' attribute
`static int` | `TYPE_LANGUAGE_BINDING__NULL_VALUE_LITERAL` The feature id for the 'Null Value Literal' attribute
`static int` | `TYPE_LANGUAGE_BINDING_FEATURE_COUNT` The number of structural features of the 'Type Language Binding' class
`static int` | `TYPED_ARRAY` The meta object id for the '`Typed Array`' class
`static int` | `TYPED_ARRAY__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
`static int` | `TYPED_ARRAY__COMPONENT_TYPE` The feature id for the 'Component Type' reference
`static int` | `TYPED_ARRAY__NAME` The feature id for the 'Name' attribute
`static int` | `TYPED_ARRAY_FEATURE_COUNT` The number of structural features of the 'Typed Array' class

Method Summary
`org.eclipse.emf.ecore.EAttribute` | `getCSIDatatype_Code()` Returns the meta object for the attribute '`Code`'
`org.eclipse.emf.ecore.EAttribute` | `getCSIDatatype_Nillable()` Returns the meta object for the attribute '`Nillable`'
`org.eclipse.emf.ecore.EClass` | `getCSIDatatype()` Returns the meta object for class '`CSI Datatype`'
`org.eclipse.emf.ecore.EEnum` | `getCSIDatatypeCodes()` Returns the meta object for enum '`CSI Datatype Codes`'
`org.eclipse.emf.ecore.EEnum` | `getCSIExceptionTypes()` Returns the meta object for enum '`CSI Exception Types`'
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Types()` Returns the meta object for the containment reference list '`Types`'
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()` Returns the meta object for class '`Document Root`'
`org.eclipse.emf.ecore.EReference` | `getEntity_Features()` Returns the meta object for the containment reference list '`Features`'
`org.eclipse.emf.ecore.EAttribute` | `getEntity_Versionuid()` Returns the meta object for the attribute '`Versionuid`'
`org.eclipse.emf.ecore.EClass` | `getEntity()` Returns the meta object for class '`Entity`'
`org.eclipse.emf.ecore.EAttribute` | `getException_ExceptionType()` Returns the meta object for the attribute '`Exception Type`'
`org.eclipse.emf.ecore.EClass` | `getException()` Returns the meta object for class '`Exception`'
`org.eclipse.emf.ecore.EAttribute` | `getFeature_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EReference` | `getFeature_Type()` Returns the meta object for the reference '`Type`'
`org.eclipse.emf.ecore.EClass` | `getFeature()` Returns the meta object for class '`Feature`'
`org.eclipse.emf.ecore.EReference` | `getPrimitiveType_LanguageBindings()` Returns the meta object for the containment reference list '`Language Bindings`'
`org.eclipse.emf.ecore.EAttribute` | `getPrimitiveType_Nillable()` Returns the meta object for the attribute '`Nillable`'
`org.eclipse.emf.ecore.EAttribute` | `getPrimitiveType_TypesetName()` Returns the meta object for the attribute '`Typeset Name`'
`org.eclipse.emf.ecore.EClass` | `getPrimitiveType()` Returns the meta object for class '`Primitive Type`'
`org.eclipse.emf.ecore.EAttribute` | `getTDAnnotationDetail_Key()` Returns the meta object for the attribute '`Key`'
`org.eclipse.emf.ecore.EAttribute` | `getTDAnnotationDetail_Value()` Returns the meta object for the attribute '`Value`'
`org.eclipse.emf.ecore.EClass` | `getTDAnnotationDetail()` Returns the meta object for class '`TD Annotation Detail`'
`org.eclipse.emf.ecore.EReference` | `getType_Annotations()` Returns the meta object for the containment reference list '`Annotations`'
`org.eclipse.emf.ecore.EAttribute` | `getType_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EClass` | `getType()` Returns the meta object for class '`Type`'
`org.eclipse.emf.ecore.EReference` | `getTypeAnnotation_Details()` Returns the meta object for the containment reference list '`Details`'
`org.eclipse.emf.ecore.EAttribute` | `getTypeAnnotation_Source()` Returns the meta object for the attribute '`Source`'
`org.eclipse.emf.ecore.EClass` | `getTypeAnnotation()` Returns the meta object for class '`Type Annotation`'
`org.eclipse.emf.ecore.EReference` | `getTypedArray_ComponentType()` Returns the meta object for the reference '`Component Type`'
`org.eclipse.emf.ecore.EClass` | `getTypedArray()` Returns the meta object for class '`Typed Array`'
`TypedefFactory` | `getTypedefFactory()` Returns the factory that creates the instances of the model
`org.eclipse.emf.ecore.EAttribute` | `getTypeLanguageBinding_DefaultInitValue()` Returns the meta object for the attribute '`Default Init Value`'
`org.eclipse.emf.ecore.EAttribute` | `getTypeLanguageBinding_Lang()` Returns the meta object for the attribute '`Lang`'
`org.eclipse.emf.ecore.EAttribute` | `getTypeLanguageBinding_LangSpecificNS()` Returns the meta object for the attribute '`Lang Specific NS`'
`org.eclipse.emf.ecore.EAttribute` | `getTypeLanguageBinding_LangSpecificType()` Returns the meta object for the attribute '`Lang Specific Type`'
`org.eclipse.emf.ecore.EAttribute` | `getTypeLanguageBinding_NullValueLiteral()` Returns the meta object for the attribute '`Null Value Literal`'
`org.eclipse.emf.ecore.EClass` | `getTypeLanguageBinding()` Returns the meta object for class '`Type Language Binding`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final TypedefPackage eINSTANCE

  The singleton instance of the package.

### DOCUMENT_ROOT

    static final int DOCUMENT_ROOT

  The meta object id for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `TypedefPackageImpl.getDocumentRoot()`, Constant Field Values

### DOCUMENT_ROOT__TYPES

    static final int DOCUMENT_ROOT__TYPES

  The feature id for the 'Types' containment reference list.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT_FEATURE_COUNT

    static final int DOCUMENT_ROOT_FEATURE_COUNT

  The number of structural features of the 'Document Root' class.

  See Also:
    Constant Field Values

### TYPE

    static final int TYPE

  The meta object id for the '`Type`' class.

  See Also:
    `TypeImpl`, `TypedefPackageImpl.getType()`, Constant Field Values

### TYPE__NAME

    static final int TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TYPE__ANNOTATIONS

    static final int TYPE__ANNOTATIONS

  The feature id for the 'Annotations' containment reference list.

  See Also:
    Constant Field Values

### TYPE_FEATURE_COUNT

    static final int TYPE_FEATURE_COUNT

  The number of structural features of the 'Type' class.

  See Also:
    Constant Field Values

### CSI_DATATYPE

    static final int CSI_DATATYPE

  The meta object id for the '`CSI Datatype`' class.

  See Also:
    `CSIDatatypeImpl`, `TypedefPackageImpl.getCSIDatatype()`, Constant Field Values

### CSI_DATATYPE__NAME

    static final int CSI_DATATYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CSI_DATATYPE__ANNOTATIONS

    static final int CSI_DATATYPE__ANNOTATIONS

  The feature id for the 'Annotations' containment reference list.

  See Also:
    Constant Field Values

### CSI_DATATYPE__CODE

    static final int CSI_DATATYPE__CODE

  The feature id for the 'Code' attribute.

  See Also:
    Constant Field Values

### CSI_DATATYPE__NILLABLE

    static final int CSI_DATATYPE__NILLABLE

  The feature id for the 'Nillable' attribute.

  See Also:
    Constant Field Values

### CSI_DATATYPE_FEATURE_COUNT

    static final int CSI_DATATYPE_FEATURE_COUNT

  The number of structural features of the 'CSI Datatype' class.

  See Also:
    Constant Field Values

### ENTITY

    static final int ENTITY

  The meta object id for the '`Entity`' class.

  See Also:
    `EntityImpl`, `TypedefPackageImpl.getEntity()`, Constant Field Values

### ENTITY__NAME

    static final int ENTITY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ENTITY__ANNOTATIONS

    static final int ENTITY__ANNOTATIONS

  The feature id for the 'Annotations' containment reference list.

  See Also:
    Constant Field Values

### ENTITY__FEATURES

    static final int ENTITY__FEATURES

  The feature id for the 'Features' containment reference list.

  See Also:
    Constant Field Values

### ENTITY__VERSIONUID

    static final int ENTITY__VERSIONUID

  The feature id for the 'Versionuid' attribute.

  See Also:
    Constant Field Values

### ENTITY_FEATURE_COUNT

    static final int ENTITY_FEATURE_COUNT

  The number of structural features of the 'Entity' class.

  See Also:
    Constant Field Values

### FEATURE

    static final int FEATURE

  The meta object id for the '`Feature`' class.

  See Also:
    `FeatureImpl`, `TypedefPackageImpl.getFeature()`, Constant Field Values

### FEATURE__NAME

    static final int FEATURE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### FEATURE__TYPE

    static final int FEATURE__TYPE

  The feature id for the 'Type' reference.

  See Also:
    Constant Field Values

### FEATURE_FEATURE_COUNT

    static final int FEATURE_FEATURE_COUNT

  The number of structural features of the 'Feature' class.

  See Also:
    Constant Field Values

### TYPED_ARRAY

    static final int TYPED_ARRAY

  The meta object id for the '`Typed Array`' class.

  See Also:
    `TypedArrayImpl`, `TypedefPackageImpl.getTypedArray()`, Constant Field Values

### TYPED_ARRAY__NAME

    static final int TYPED_ARRAY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TYPED_ARRAY__ANNOTATIONS

    static final int TYPED_ARRAY__ANNOTATIONS

  The feature id for the 'Annotations' containment reference list.

  See Also:
    Constant Field Values

### TYPED_ARRAY__COMPONENT_TYPE

    static final int TYPED_ARRAY__COMPONENT_TYPE

  The feature id for the 'Component Type' reference.

  See Also:
    Constant Field Values

### TYPED_ARRAY_FEATURE_COUNT

    static final int TYPED_ARRAY_FEATURE_COUNT

  The number of structural features of the 'Typed Array' class.

  See Also:
    Constant Field Values

### EXCEPTION

    static final int EXCEPTION

  The meta object id for the '`Exception`' class.

  See Also:
    `ExceptionImpl`, `TypedefPackageImpl.getException()`, Constant Field Values

### EXCEPTION__NAME

    static final int EXCEPTION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### EXCEPTION__ANNOTATIONS

    static final int EXCEPTION__ANNOTATIONS

  The feature id for the 'Annotations' containment reference list.

  See Also:
    Constant Field Values

### EXCEPTION__EXCEPTION_TYPE

    static final int EXCEPTION__EXCEPTION_TYPE

  The feature id for the 'Exception Type' attribute.

  See Also:
    Constant Field Values

### EXCEPTION_FEATURE_COUNT

    static final int EXCEPTION_FEATURE_COUNT

  The number of structural features of the 'Exception' class.

  See Also:
    Constant Field Values

### TYPE_ANNOTATION

    static final int TYPE_ANNOTATION

  The meta object id for the '`Type Annotation`' class.

  See Also:
    `TypeAnnotationImpl`, `TypedefPackageImpl.getTypeAnnotation()`, Constant Field Values

### TYPE_ANNOTATION__SOURCE

    static final int TYPE_ANNOTATION__SOURCE

  The feature id for the 'Source' attribute.

  See Also:
    Constant Field Values

### TYPE_ANNOTATION__DETAILS

    static final int TYPE_ANNOTATION__DETAILS

  The feature id for the 'Details' containment reference list.

  See Also:
    Constant Field Values

### TYPE_ANNOTATION_FEATURE_COUNT

    static final int TYPE_ANNOTATION_FEATURE_COUNT

  The number of structural features of the 'Type Annotation' class.

  See Also:
    Constant Field Values

### TD_ANNOTATION_DETAIL

    static final int TD_ANNOTATION_DETAIL

  The meta object id for the '`TD Annotation Detail`' class.

  See Also:
    `TDAnnotationDetailImpl`, `TypedefPackageImpl.getTDAnnotationDetail()`, Constant Field Values

### TD_ANNOTATION_DETAIL__KEY

    static final int TD_ANNOTATION_DETAIL__KEY

  The feature id for the 'Key' attribute.

  See Also:
    Constant Field Values

### TD_ANNOTATION_DETAIL__VALUE

    static final int TD_ANNOTATION_DETAIL__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### TD_ANNOTATION_DETAIL_FEATURE_COUNT

    static final int TD_ANNOTATION_DETAIL_FEATURE_COUNT

  The number of structural features of the 'TD Annotation Detail' class.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE

    static final int PRIMITIVE_TYPE

  The meta object id for the '`Primitive Type`' class.

  See Also:
    `PrimitiveTypeImpl`, `TypedefPackageImpl.getPrimitiveType()`, Constant Field Values

### PRIMITIVE_TYPE__NAME

    static final int PRIMITIVE_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__ANNOTATIONS

    static final int PRIMITIVE_TYPE__ANNOTATIONS

  The feature id for the 'Annotations' containment reference list.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__TYPESET_NAME

    static final int PRIMITIVE_TYPE__TYPESET_NAME

  The feature id for the 'Typeset Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__NILLABLE

    static final int PRIMITIVE_TYPE__NILLABLE

  The feature id for the 'Nillable' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__LANGUAGE_BINDINGS

    static final int PRIMITIVE_TYPE__LANGUAGE_BINDINGS

  The feature id for the 'Language Bindings' containment reference list.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE_FEATURE_COUNT

    static final int PRIMITIVE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Primitive Type' class.

  See Also:
    Constant Field Values

### TYPE_LANGUAGE_BINDING

    static final int TYPE_LANGUAGE_BINDING

  The meta object id for the '`Type Language Binding`' class.

  See Also:
    `TypeLanguageBindingImpl`, `TypedefPackageImpl.getTypeLanguageBinding()`, Constant Field Values

### TYPE_LANGUAGE_BINDING__LANG

    static final int TYPE_LANGUAGE_BINDING__LANG

  The feature id for the 'Lang' attribute.

  See Also:
    Constant Field Values

### TYPE_LANGUAGE_BINDING__LANG_SPECIFIC_TYPE

    static final int TYPE_LANGUAGE_BINDING__LANG_SPECIFIC_TYPE

  The feature id for the 'Lang Specific Type' attribute.

  See Also:
    Constant Field Values

### TYPE_LANGUAGE_BINDING__LANG_SPECIFIC_NS

    static final int TYPE_LANGUAGE_BINDING__LANG_SPECIFIC_NS

  The feature id for the 'Lang Specific NS' attribute.

  See Also:
    Constant Field Values

### TYPE_LANGUAGE_BINDING__DEFAULT_INIT_VALUE

    static final int TYPE_LANGUAGE_BINDING__DEFAULT_INIT_VALUE

  The feature id for the 'Default Init Value' attribute.

  See Also:
    Constant Field Values

### TYPE_LANGUAGE_BINDING__NULL_VALUE_LITERAL

    static final int TYPE_LANGUAGE_BINDING__NULL_VALUE_LITERAL

  The feature id for the 'Null Value Literal' attribute.

  See Also:
    Constant Field Values

### TYPE_LANGUAGE_BINDING_FEATURE_COUNT

    static final int TYPE_LANGUAGE_BINDING_FEATURE_COUNT

  The number of structural features of the 'Type Language Binding' class.

  See Also:
    Constant Field Values

### CSI_DATATYPE_CODES

    static final int CSI_DATATYPE_CODES

  The meta object id for the '`CSI Datatype Codes`' enum.

  See Also:
    `CSIDatatypeCodes`, `TypedefPackageImpl.getCSIDatatypeCodes()`, Constant Field Values

### CSI_EXCEPTION_TYPES

    static final int CSI_EXCEPTION_TYPES

  The meta object id for the '`CSI Exception Types`' enum.

  See Also:
    `CSIExceptionTypes`, `TypedefPackageImpl.getCSIExceptionTypes()`, Constant Field Values

Method Detail

### getDocumentRoot

    org.eclipse.emf.ecore.EClass getDocumentRoot()

  Returns the meta object for class '`Document Root`'.

  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Types

    org.eclipse.emf.ecore.EReference getDocumentRoot_Types()

  Returns the meta object for the containment reference list '`Types`'.

  Returns:
    the meta object for the containment reference list 'Types'.
  See Also:
    `DocumentRoot.getTypes()`, `getDocumentRoot()`

### getType

    org.eclipse.emf.ecore.EClass getType()

  Returns the meta object for class '`Type`'.

  Returns:
    the meta object for class 'Type'.
  See Also:
    `Type`

### getType_Name

    org.eclipse.emf.ecore.EAttribute getType_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Type.getName()`, `getType()`

### getType_Annotations

    org.eclipse.emf.ecore.EReference getType_Annotations()

  Returns the meta object for the containment reference list '`Annotations`'.

  Returns:
    the meta object for the containment reference list 'Annotations'.
  See Also:
    `Type.getAnnotations()`, `getType()`

### getCSIDatatype

    org.eclipse.emf.ecore.EClass getCSIDatatype()

  Returns the meta object for class '`CSI Datatype`'.

  Returns:
    the meta object for class 'CSI Datatype'.
  See Also:
    `CSIDatatype`

### getCSIDatatype_Code

    org.eclipse.emf.ecore.EAttribute getCSIDatatype_Code()

  Returns the meta object for the attribute '`Code`'.

  Returns:
    the meta object for the attribute 'Code'.
  See Also:
    `CSIDatatype.getCode()`, `getCSIDatatype()`

### getCSIDatatype_Nillable

    org.eclipse.emf.ecore.EAttribute getCSIDatatype_Nillable()

  Returns the meta object for the attribute '`Nillable`'.

  Returns:
    the meta object for the attribute 'Nillable'.
  See Also:
    `CSIDatatype.isNillable()`, `getCSIDatatype()`

### getEntity

    org.eclipse.emf.ecore.EClass getEntity()

  Returns the meta object for class '`Entity`'.

  Returns:
    the meta object for class 'Entity'.
  See Also:
    `Entity`

### getEntity_Features

    org.eclipse.emf.ecore.EReference getEntity_Features()

  Returns the meta object for the containment reference list '`Features`'.

  Returns:
    the meta object for the containment reference list 'Features'.
  See Also:
    `Entity.getFeatures()`, `getEntity()`

### getEntity_Versionuid

    org.eclipse.emf.ecore.EAttribute getEntity_Versionuid()

  Returns the meta object for the attribute '`Versionuid`'.

  Returns:
    the meta object for the attribute 'Versionuid'.
  See Also:
    `Entity.getVersionuid()`, `getEntity()`

### getFeature

    org.eclipse.emf.ecore.EClass getFeature()

  Returns the meta object for class '`Feature`'.

  Returns:
    the meta object for class 'Feature'.
  See Also:
    `Feature`

### getFeature_Name

    org.eclipse.emf.ecore.EAttribute getFeature_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Feature.getName()`, `getFeature()`

### getFeature_Type

    org.eclipse.emf.ecore.EReference getFeature_Type()

  Returns the meta object for the reference '`Type`'.

  Returns:
    the meta object for the reference 'Type'.
  See Also:
    `Feature.getType()`, `getFeature()`

### getTypedArray

    org.eclipse.emf.ecore.EClass getTypedArray()

  Returns the meta object for class '`Typed Array`'.

  Returns:
    the meta object for class 'Typed Array'.
  See Also:
    `TypedArray`

### getTypedArray_ComponentType

    org.eclipse.emf.ecore.EReference getTypedArray_ComponentType()

  Returns the meta object for the reference '`Component Type`'.

  Returns:
    the meta object for the reference 'Component Type'.
  See Also:
    `TypedArray.getComponentType()`, `getTypedArray()`

### getException

    org.eclipse.emf.ecore.EClass getException()

  Returns the meta object for class '`Exception`'.

  Returns:
    the meta object for class 'Exception'.
  See Also:
    `Exception`

### getException_ExceptionType

    org.eclipse.emf.ecore.EAttribute getException_ExceptionType()

  Returns the meta object for the attribute '`Exception Type`'.

  Returns:
    the meta object for the attribute 'Exception Type'.
  See Also:
    `Exception.getExceptionType()`, `getException()`

### getTypeAnnotation

    org.eclipse.emf.ecore.EClass getTypeAnnotation()

  Returns the meta object for class '`Type Annotation`'.

  Returns:
    the meta object for class 'Type Annotation'.
  See Also:
    `TypeAnnotation`

### getTypeAnnotation_Source

    org.eclipse.emf.ecore.EAttribute getTypeAnnotation_Source()

  Returns the meta object for the attribute '`Source`'.

  Returns:
    the meta object for the attribute 'Source'.
  See Also:
    `TypeAnnotation.getSource()`, `getTypeAnnotation()`

### getTypeAnnotation_Details

    org.eclipse.emf.ecore.EReference getTypeAnnotation_Details()

  Returns the meta object for the containment reference list '`Details`'.

  Returns:
    the meta object for the containment reference list 'Details'.
  See Also:
    `TypeAnnotation.getDetails()`, `getTypeAnnotation()`

### getTDAnnotationDetail

    org.eclipse.emf.ecore.EClass getTDAnnotationDetail()

  Returns the meta object for class '`TD Annotation Detail`'.

  Returns:
    the meta object for class 'TD Annotation Detail'.
  See Also:
    `TDAnnotationDetail`

### getTDAnnotationDetail_Key

    org.eclipse.emf.ecore.EAttribute getTDAnnotationDetail_Key()

  Returns the meta object for the attribute '`Key`'.

  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `TDAnnotationDetail.getKey()`, `getTDAnnotationDetail()`

### getTDAnnotationDetail_Value

    org.eclipse.emf.ecore.EAttribute getTDAnnotationDetail_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `TDAnnotationDetail.getValue()`, `getTDAnnotationDetail()`

### getPrimitiveType

    org.eclipse.emf.ecore.EClass getPrimitiveType()

  Returns the meta object for class '`Primitive Type`'.

  Returns:
    the meta object for class 'Primitive Type'.
  See Also:
    `PrimitiveType`

### getPrimitiveType_TypesetName

    org.eclipse.emf.ecore.EAttribute getPrimitiveType_TypesetName()

  Returns the meta object for the attribute '`Typeset Name`'.

  Returns:
    the meta object for the attribute 'Typeset Name'.
  See Also:
    `PrimitiveType.getTypesetName()`, `getPrimitiveType()`

### getPrimitiveType_Nillable

    org.eclipse.emf.ecore.EAttribute getPrimitiveType_Nillable()

  Returns the meta object for the attribute '`Nillable`'.

  Returns:
    the meta object for the attribute 'Nillable'.
  See Also:
    `PrimitiveType.isNillable()`, `getPrimitiveType()`

### getPrimitiveType_LanguageBindings

    org.eclipse.emf.ecore.EReference getPrimitiveType_LanguageBindings()

  Returns the meta object for the containment reference list '`Language Bindings`'.

  Returns:
    the meta object for the containment reference list 'Language Bindings'.
  See Also:
    `PrimitiveType.getLanguageBindings()`, `getPrimitiveType()`

### getTypeLanguageBinding

    org.eclipse.emf.ecore.EClass getTypeLanguageBinding()

  Returns the meta object for class '`Type Language Binding`'.

  Returns:
    the meta object for class 'Type Language Binding'.
  See Also:
    `TypeLanguageBinding`

### getTypeLanguageBinding_Lang

    org.eclipse.emf.ecore.EAttribute getTypeLanguageBinding_Lang()

  Returns the meta object for the attribute '`Lang`'.

  Returns:
    the meta object for the attribute 'Lang'.
  See Also:
    `TypeLanguageBinding.getLang()`, `getTypeLanguageBinding()`

### getTypeLanguageBinding_LangSpecificType

    org.eclipse.emf.ecore.EAttribute getTypeLanguageBinding_LangSpecificType()

  Returns the meta object for the attribute '`Lang Specific Type`'.

  Returns:
    the meta object for the attribute 'Lang Specific Type'.
  See Also:
    `TypeLanguageBinding.getLangSpecificType()`, `getTypeLanguageBinding()`

### getTypeLanguageBinding_LangSpecificNS

    org.eclipse.emf.ecore.EAttribute getTypeLanguageBinding_LangSpecificNS()

  Returns the meta object for the attribute '`Lang Specific NS`'.

  Returns:
    the meta object for the attribute 'Lang Specific NS'.
  See Also:
    `TypeLanguageBinding.getLangSpecificNS()`, `getTypeLanguageBinding()`

### getTypeLanguageBinding_DefaultInitValue

    org.eclipse.emf.ecore.EAttribute getTypeLanguageBinding_DefaultInitValue()

  Returns the meta object for the attribute '`Default Init Value`'.

  Returns:
    the meta object for the attribute 'Default Init Value'.
  See Also:
    `TypeLanguageBinding.getDefaultInitValue()`, `getTypeLanguageBinding()`

### getTypeLanguageBinding_NullValueLiteral

    org.eclipse.emf.ecore.EAttribute getTypeLanguageBinding_NullValueLiteral()

  Returns the meta object for the attribute '`Null Value Literal`'.

  Returns:
    the meta object for the attribute 'Null Value Literal'.
  See Also:
    `TypeLanguageBinding.getNullValueLiteral()`, `getTypeLanguageBinding()`

### getCSIDatatypeCodes

    org.eclipse.emf.ecore.EEnum getCSIDatatypeCodes()

  Returns the meta object for enum '`CSI Datatype Codes`'.

  Returns:
    the meta object for enum 'CSI Datatype Codes'.
  See Also:
    `CSIDatatypeCodes`

### getCSIExceptionTypes

    org.eclipse.emf.ecore.EEnum getCSIExceptionTypes()

  Returns the meta object for enum '`CSI Exception Types`'.

  Returns:
    the meta object for enum 'CSI Exception Types'.
  See Also:
    `CSIExceptionTypes`

### getTypedefFactory

    TypedefFactory getTypedefFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD